Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1498520 - Typo or bug in openstack network_manager refresh parser.
Summary: Typo or bug in openstack network_manager refresh parser.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.9.0
Assignee: Sam Lucidi
QA Contact: Ido Ovadia
URL:
Whiteboard:
Depends On:
Blocks: 1511196
TreeView+ depends on / blocked
 
Reported: 2017-10-04 13:48 UTC by Ryan Spagnola
Modified: 2018-03-06 14:52 UTC (History)
9 users (show)

Fixed In Version: 5.9.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1511196 (view as bug list)
Environment:
Last Closed: 2018-03-06 14:52:51 UTC
Category: Bug
Cloudforms Team: Openstack


Attachments (Terms of Use)

Description Ryan Spagnola 2017-10-04 13:48:28 UTC
Description of problem:
From upstream repo:
https://github.com/ManageIQ/manageiq/blob/09b4f87eb047b4cd9c1284c42dde22ac87ea073d/app/models/manageiq/providers/openstack/network_manager/refresh_parser.rb#L51

The type of Openstack Network Manager is ManageIQ::Providers::Openstack::NetworkManager but not ManageIQ::Providers::Openstack::CloudManager.

In this way network manager refresh worker collect objects from openstack by looping over all tenants but should use one api call by admin user if I set ems.ems_openstack.refresh.is_admin = true in advanced configuration.

On my test environment I set the following override and this work well:

~~~~~~~~~
    def get_inventory_collection(collection_type)
      @network_service.handled_list(collection_type, {}, ::Settings.ems.ems_openstack.refresh.is_admin)
    end
~~~~~~~~~

Version-Release number of selected component (if applicable):
4.5

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Sam Lucidi 2017-10-05 15:09:19 UTC
A pull request is pending that should fix this issue. https://github.com/ManageIQ/manageiq-providers-openstack/pull/96/commits/1c0e8b8379384fc183707c6218f4f77adf8a475c

Comment 7 Ido Ovadia 2018-02-11 10:24:10 UTC
Verified
========
5.9.0.20


Note You need to log in before you can comment on or make changes to this bug.